Halide 22.0.0 Halide compiler and libraries

Public Attributes | List of all members
Halide::Runtime::Internal::MemoryProperties Struct Reference

`#include <memory_resources.h>`

## Public Attributes
MemoryVisibility | visibility = MemoryVisibility::InvalidVisibility
MemoryUsage | usage = MemoryUsage::InvalidUsage
MemoryCaching | caching = MemoryCaching::InvalidCaching
size_t | alignment = 0
size_t | nearest_multiple = 0

## Detailed Description

Definition at line 56 of file memory_resources.h.

## Member Data Documentation

## ◆ visibility

MemoryVisibility Halide::Runtime::Internal::MemoryProperties::visibility = MemoryVisibility::InvalidVisibility

Definition at line 57 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::allocate_block(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::allocate_region(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::conform_region_request(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::deallocate_block(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::deallocate_region(), and Halide::Runtime::Internal::BlockAllocator::reserve().

## ◆ usage

MemoryUsage Halide::Runtime::Internal::MemoryProperties::usage = MemoryUsage::InvalidUsage

Definition at line 58 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::allocate_block(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::allocate_region(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::conform_region_request(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::deallocate_block(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::deallocate_region(), and Halide::Runtime::Internal::BlockAllocator::reserve().

## ◆ caching

MemoryCaching Halide::Runtime::Internal::MemoryProperties::caching = MemoryCaching::InvalidCaching

Definition at line 59 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::allocate_block(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::allocate_region(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::conform_region_request(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::deallocate_block(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::deallocate_region(), and Halide::Runtime::Internal::BlockAllocator::reserve().

## ◆ alignment

size_t Halide::Runtime::Internal::MemoryProperties::alignment = 0

Definition at line 60 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::RegionAllocator::conform(), and Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::conform_block_request().

## ◆ nearest_multiple

size_t Halide::Runtime::Internal::MemoryProperties::nearest_multiple = 0

Definition at line 61 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::conform(), Halide::Runtime::Internal::BlockAllocator::conform(), and Halide::Runtime::Internal::RegionAllocator::conform().

The documentation for this struct was generated from the following file:

- src/runtime/internal/memory_resources.h